﻿EXEC P_ALTERPK 'PK_MPDM_PLANROOM_TYPE', 'T_MPDM_PLANROOM_TYPE', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_TYPE_FNUM') CREATE INDEX IDX_MPDM_PLANROOM_TYPE_FNUM ON T_MPDM_PLANROOM_TYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_TYPE_FCT') CREATE INDEX IDX_MPDM_PLANROOM_TYPE_FCT ON T_MPDM_PLANROOM_TYPE (FCREATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_TYPE_FCI') CREATE INDEX IDX_MPDM_PLANROOM_TYPE_FCI ON T_MPDM_PLANROOM_TYPE (FCREATEORGID);
 

EXEC P_ALTERPK 'PK_MPDM_PLANROOM_TYPE_L', 'T_MPDM_PLANROOM_TYPE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_TYPE_L') CREATE INDEX IDX_MPDM_PLANROOM_TYPE_L ON T_MPDM_PLANROOM_TYPE_L (FID,FLOCALEID );


EXEC P_ALTERPK 'PK_MPDM_PLANROOM_RESTYPE', 'T_MPDM_PLANROOM_RESTYPE', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RESTP_FNUM') CREATE INDEX IDX_MPDM_PLANROOM_RESTP_FNUM ON T_MPDM_PLANROOM_RESTYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RESTP_FCT') CREATE INDEX IDX_MPDM_PLANROOM_RESTP_FCT ON T_MPDM_PLANROOM_RESTYPE (FCREATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RESTP_FCI') CREATE INDEX IDX_MPDM_PLANROOM_RESTP_FCI ON T_MPDM_PLANROOM_RESTYPE (FCREATEORGID);


EXEC P_ALTERPK 'PK_MPDM_PLANROOM_RESTYPE_L', 'T_MPDM_PLANROOM_RESTYPE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RESTYPE_L') CREATE INDEX IDX_MPDM_PLANROOM_RESTYPE_L ON T_MPDM_PLANROOM_RESTYPE_L (FID,FLOCALEID );


EXEC P_ALTERPK 'PK_MPDM_PLANROOM', 'T_MPDM_PLANROOM', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_FNUM') CREATE INDEX IDX_MPDM_PLANROOM_FNUM ON T_MPDM_PLANROOM (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_FCT') CREATE INDEX IDX_MPDM_PLANROOM_FCT ON T_MPDM_PLANROOM (FCREATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_FCI') CREATE INDEX IDX_MPDM_PLANROOM_FCI ON T_MPDM_PLANROOM (FCREATEORGID);


EXEC P_ALTERPK 'PK_MPDM_PLANROOM_L', 'T_MPDM_PLANROOM_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_L') CREATE INDEX IDX_MPDM_PLANROOM_L ON T_MPDM_PLANROOM_L (FID,FLOCALEID );


EXEC P_ALTERPK 'PK_MPDM_PLANROOM_RES', 'T_MPDM_PLANROOM_RES', 'FENTRYID', '1';                	
  
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RES_FID') CREATE INDEX IDX_MPDM_PLANROOM_RES_FID ON T_MPDM_PLANROOM_RES (FID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PLANROOM_RES_FSEQ') CREATE INDEX IDX_MPDM_PLANROOM_RES_FSEQ ON T_MPDM_PLANROOM_RES (FSEQ);