﻿EXEC P_ALTERPK 'PK_MPDM_WORKSCOPEINS', 'T_MPDM_WORKSCOPEINS', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPEINS_FNUM') CREATE INDEX IDX_MPDM_WORKSCOPEINS_FNUM ON T_MPDM_WORKSCOPEINS (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPEINS_FCT') CREATE INDEX IDX_MPDM_WORKSCOPEINS_FCT ON T_MPDM_WORKSCOPEINS (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_WORKSCOPEINS_L', 'T_MPDM_WORKSCOPEINS_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPEINS_L_FID') CREATE INDEX IDX_MPDM_WORKSCOPEINS_L_FID ON T_MPDM_WORKSCOPEINS_L (FID,FLOCALEID );


EXEC P_ALTERPK 'PK_MPDM_WROKSCP_CATE', 'T_MPDM_WROKSCP_CATE', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WROKSCP_CATE_FID') CREATE INDEX IDX_MPDM_WROKSCP_CATE_FID ON T_MPDM_WROKSCP_CATE (FID);


EXEC P_ALTERPK 'PK_MPDM_WROKSCP_DETAIL', 'T_MPDM_WROKSCP_DETAIL', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WROKSCP_DETAIL_FID') CREATE INDEX IDX_MPDM_WROKSCP_DETAIL_FID ON T_MPDM_WROKSCP_DETAIL (FID);


EXEC P_ALTERPK 'PK_MPDM_WKSCOPE_CATE', 'T_MPDM_WKSCOPE_CATE', 'FENTRYID', '1';                	
  
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKSCOPE_CATE_FEQ') CREATE INDEX IDX_MPDM_WKSCOPE_CATE_FEQ ON T_MPDM_WKSCOPE_CATE (FID,FSEQ);


EXEC P_ALTERPK 'PK_MPDM_WKSCOPE_DETAIL', 'T_MPDM_WKSCOPE_DETAIL', 'FDETAILID', '1';                	
  
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKSCOPE_DETAIL_FEQ') CREATE INDEX IDX_MPDM_WKSCOPE_DETAIL_FEQ ON T_MPDM_WKSCOPE_DETAIL (FENTRYID,FSEQ);
