﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATERIALCMD') 
 CREATE TABLE T_MPDM_CMATERIALCMD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FWORKCARDID BIGINT DEFAULT 0 NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCTMATERIAL BIGINT DEFAULT 0 NOT NULL,
FMATERIALTYPEID BIGINT DEFAULT 0 NOT NULL,
FCABINCONFIGID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FNOCHECK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATERIALCMD_L') 
 CREATE TABLE T_MPDM_CMATERIALCMD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATERIALCMDENTRY_L') 
 CREATE TABLE T_MPDM_CMATERIALCMDENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPARAMREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATERIALCMDENTRY') 
 CREATE TABLE T_MPDM_CMATERIALCMDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYMATERIAL BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYUNITID BIGINT DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREQUIREQTYSET CHAR(1) DEFAULT '0' NOT NULL,
FISENTRYQTYLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FENTRYLIMITTOP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYLIMITLOW DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYOWNER BIGINT DEFAULT 0 NOT NULL,
FENTRYOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFISSUEMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FISSTOCKALLOC CHAR(1) DEFAULT '0' NOT NULL,
FOUTORG BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FOUTLOCATION BIGINT DEFAULT 0 NOT NULL,
FENTRYBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FENTRYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELMTC BIGINT DEFAULT 0 NOT NULL,
FMATERIALMFTID BIGINT DEFAULT 0 NOT NULL,
FENTRYPROFESSIONAID BIGINT DEFAULT 0 NOT NULL,
FPARAMREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYISKEY CHAR(1) DEFAULT '0' NOT NULL,
FENTRYSN BIGINT DEFAULT 0 NOT NULL,
FISREPLACEMENT CHAR(1) DEFAULT '0' NOT NULL,
FCARDOPERATIONNOID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FMATERIALATTR VARCHAR(50) DEFAULT ' ' NOT NULL,
FISBACKFLUSH VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
