﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MAINTENANCEPLAN_H') 
 CREATE TABLE T_MPDM_MAINTENANCEPLAN_H (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FENABLER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FMPDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINITIALINTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPEATINTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FZONE BIGINT DEFAULT 0 NOT NULL,
FACCESSPANEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDACCESSPANEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FADAPT VARCHAR(50) DEFAULT ' ' NOT NULL,
FADAPTENGINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOURSUNIT BIGINT DEFAULT 0 NOT NULL,
FTASKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREDICTHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAREHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAREWORK VARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOREHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLEANHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISMOUNTHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOREREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEPARTREL VARCHAR(50) DEFAULT ' ' NOT NULL,
FDISMOUNTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNEEDCHECK VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODDATE DATETIME,
FPHOTOVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MAINTENANCEPLAN_H_L') 
 CREATE TABLE T_MPDM_MAINTENANCEPLAN_H_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MPENTRY_H') 
 CREATE TABLE T_MPDM_MPENTRY_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAREA VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHOLDREL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTADAPT VARCHAR(50) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FSUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKLAYOUT CHAR(1) DEFAULT '0' NOT NULL,
FCHECKREL CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTDESC_TAG NCLOB,
FCARDENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROCARDROUTE_H_L') 
 CREATE TABLE T_MPDM_MROCARDROUTE_H_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LOCKINFO') 
 CREATE TABLE T_MPDM_LOCKINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSN VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
SOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LOCKINFO_L') 
 CREATE TABLE T_MPDM_LOCKINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PROCESSVERSION_H_L') 
 CREATE TABLE T_MPDM_PROCESSVERSION_H_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
