IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CMATERIALCMD' AND KSQL_COL_NAME ='FMATERIALMODELONE')
 ALTER TABLE T_MPDM_CMATERIALCMD ADD (FMATERIALMODELONE  BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_NEWRTOOLMRTYPE') 
 CREATE TABLE T_MPDM_NEWRTOOLMRTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_NEWRTOOLMRTYPEC') 
 CREATE TABLE T_MPDM_NEWRTOOLMRTYPEC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_NEWTOOLMRTYPE') 
 CREATE TABLE T_MPDM_NEWTOOLMRTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_MPDM_NEWRTOOLMRTYPE', 'T_MPDM_NEWRTOOLMRTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_NEWRTOOLMRTYPE_FK') CREATE INDEX IDX_MPDM_NEWRTOOLMRTYPE_FK ON T_MPDM_NEWRTOOLMRTYPE ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_NEWRTOOLMRTYPEC', 'T_MPDM_NEWRTOOLMRTYPEC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_NEWRTOOLMRTYPEC_FK') CREATE INDEX IDX_MPDM_NEWRTOOLMRTYPEC_FK ON T_MPDM_NEWRTOOLMRTYPEC ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_NEWTOOLMRTYPE', 'T_MPDM_NEWTOOLMRTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_NEWTOOLMRTYPE_FK') CREATE INDEX IDX_MPDM_NEWTOOLMRTYPE_FK ON T_MPDM_NEWTOOLMRTYPE ( FENTRYID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CARDJOBDESC') 
 CREATE TABLE T_MPDM_CARDJOBDESC (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FJOBPAGE VARCHAR(50) DEFAULT  ' ' NOT NULL,
FJOBDESC NVARCHAR(255) DEFAULT  ' ' NOT NULL,
FJOBDESC_TAG NCLOB NULL
);

 EXEC P_ALTERPK 'PK_MPDM_CARDJOBDESC', 'T_MPDM_CARDJOBDESC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CARDJOBDESC_FK') CREATE INDEX IDX_MPDM_CARDJOBDESC_FK ON T_MPDM_CARDJOBDESC ( FCARDID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CARDJOBDESC_H') 
 CREATE TABLE T_MPDM_CARDJOBDESC_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FJOBPAGE VARCHAR(50) DEFAULT  ' ' NOT NULL,
FJOBDESC NVARCHAR(255) DEFAULT  ' ' NOT NULL,
FJOBDESC_TAG NCLOB NULL
);

 EXEC P_ALTERPK 'PK_MPDM_CARDJOBDESC_H', 'T_MPDM_CARDJOBDESC_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CARDJOBDESC_H_FK') CREATE INDEX IDX_MPDM_CARDJOBDESC_H_FK ON T_MPDM_CARDJOBDESC_H ( FCARDID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CARDJOBDESC_H' AND KSQL_COL_NAME ='FJOBORIGINALID')
 ALTER TABLE T_MPDM_CARDJOBDESC_H ADD (FJOBORIGINALID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE' AND KSQL_COL_NAME ='FATATYPE')
 ALTER TABLE T_MPDM_MROCARDROUTE ADD (FATATYPE BIGINT DEFAULT 0 NOT NULL); 
  
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE_H' AND KSQL_COL_NAME ='FATATYPE')
 ALTER TABLE T_MPDM_MROCARDROUTE_H ADD (FATATYPE BIGINT DEFAULT 0 NOT NULL);

 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKAREA') 
 CREATE TABLE T_MPDM_WKAREA (
FPKID BIGINT NOT NULL DEFAULT 0,
FID BIGINT NOT NULL DEFAULT 0,
FBASEDATAID BIGINT NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_MPDM_WKAREA', 'T_MPDM_WKAREA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKAREA_FK') CREATE INDEX IDX_MPDM_WKAREA_FK ON T_MPDM_WKAREA ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKZONE') 
 CREATE TABLE T_MPDM_WKZONE (
FPKID BIGINT NOT NULL DEFAULT 0,
FID BIGINT NOT NULL DEFAULT 0,
FBASEDATAID BIGINT NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_MPDM_WKZONE', 'T_MPDM_WKZONE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKZONE_FK') CREATE INDEX IDX_MPDM_WKZONE_FK ON T_MPDM_WKZONE ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKCARDJOBDESC') 
 CREATE TABLE T_MPDM_WORKCARDJOBDESC (
FID BIGINT NOT NULL DEFAULT 0,
FENTRYID BIGINT NOT NULL DEFAULT 0,
FSEQ BIGINT NOT NULL DEFAULT 0,
FJOBPAGE VARCHAR(50) NOT NULL DEFAULT ' ',
FJOBDESC NVARCHAR(255) NOT NULL DEFAULT ' ',
FJOBDESC_TAG NCLOB NULL
);

 EXEC P_ALTERPK 'PK_MPDM_WORKCARDJOBDESC', 'T_MPDM_WORKCARDJOBDESC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCARDJOBDESC_FK') CREATE INDEX IDX_MPDM_WORKCARDJOBDESC_FK ON T_MPDM_WORKCARDJOBDESC ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROWKCARDROUTE' AND KSQL_COL_NAME ='FATATYPE')
 ALTER TABLE T_MPDM_MROWKCARDROUTE ADD ( FATATYPE  BIGINT NOT NULL DEFAULT 0 ); 