IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE' AND KSQL_COL_NAME ='FEQUIPREFLOC') 
 ALTER TABLE T_MPDM_MROCARDROUTE ADD (FEQUIPREFLOC BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE_H' AND KSQL_COL_NAME ='FEQUIPREFLOC') 
 ALTER TABLE T_MPDM_MROCARDROUTE_H ADD (FEQUIPREFLOC BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROWKCARDROUTE' AND KSQL_COL_NAME ='FEQUIPREFLOC') 
 ALTER TABLE T_MPDM_MROWKCARDROUTE ADD (FEQUIPREFLOC BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_EQUIPREFLOC') 
 CREATE TABLE T_MPDM_EQUIPREFLOC (
FID BIGINT NOT NULL DEFAULT 0,
FNUMBER NVARCHAR(30) NOT NULL DEFAULT ' ',
FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
FSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ',
FCREATORID BIGINT NOT NULL DEFAULT 0,
FMODIFIERID BIGINT NOT NULL DEFAULT 0,
FENABLE NVARCHAR(50) NOT NULL DEFAULT ' ',
FCREATETIME DATETIME NULL,
FMODIFYTIME DATETIME NULL,
FMASTERID BIGINT NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_MPDM_EQUIPREFLOC', 'T_MPDM_EQUIPREFLOC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_EQUIPREFLOC_FNUMBER') CREATE INDEX IDX_MPDM_EQUIPREFLOC_FNUMBER ON T_MPDM_EQUIPREFLOC ( FNUMBER );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_EQUIPREFLOC_L') 
 CREATE TABLE T_MPDM_EQUIPREFLOC_L (
FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
FID BIGINT NOT NULL DEFAULT 0,
FLOCALEID NVARCHAR(10) NOT NULL DEFAULT ' ',
FNAME NVARCHAR(50) NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_MPDM_EQUIPREFLOC_L', 'T_MPDM_EQUIPREFLOC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_EQUIPREFLOC_L_FID') CREATE INDEX IDX_MPDM_EQUIPREFLOC_L_FID ON T_MPDM_EQUIPREFLOC_L ( FID,FLOCALEID );