/*==============================================================*/
/* Table:  T_MPDM_GTEVENTLOG   甘特图事件日志    创建人: 喻勇   创建时间: 20220113*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_GTEVENTLOG') 
CREATE TABLE T_MPDM_GTEVENTLOG
(
  FID BIGINT DEFAULT 0 NOT NULL,  
  FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,  
  FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  CONSTRAINT PK_MPDM_GTEVENTLOG PRIMARY KEY CLUSTERED (FID)
);

/*==============================================================*/
/* Table:  T_MPDM_GTEVENTLOG_L   甘特图事件日志多语言表    创建人: 喻勇   创建时间: 20220113*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_GTEVENTLOG_L') 
CREATE TABLE T_MPDM_GTEVENTLOG_L
(
  FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL, 
  FID BIGINT DEFAULT 0 NOT NULL, 
  FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,  
  FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL, 
  CONSTRAINT PK_MPDM_GTEVENTLOG_L PRIMARY KEY CLUSTERED (FPKID)
);

