IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATESTRATEGY') 
CREATE TABLE T_MPDM_STATESTRATEGY
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  FCREATEORGID BIGINT DEFAULT 0 NOT NULL, 	
  FORGID BIGINT DEFAULT 0 NOT NULL,       	
  FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL, 	
  FBITINDEX INT DEFAULT 0 NOT NULL,       	
  FSOURCEBITINDEX INT DEFAULT 0 NOT NULL, 	
  FAUDITORID BIGINT DEFAULT 0 NOT NULL,   	
  FAUDITDATE DATETIME ,                   	
  FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL, 	
  FBILL NVARCHAR(255) DEFAULT 0 NOT NULL, 	
  FCONDITION NVARCHAR(1000) DEFAULT ' ' NOT NULL, 	
  FCONDITIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_STATESTRATEGY' AND KSQL_COL_NAME ='FNAME') 
   ALTER TABLE T_MPDM_STATESTRATEGY ADD (FNAME NVARCHAR(50)  DEFAULT ' '  NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATESTRATEGY_L') 
CREATE TABLE T_MPDM_STATESTRATEGY_L
(
  FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATESCHEME') 
CREATE TABLE T_MPDM_STATESCHEME
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  FCREATEORGID BIGINT DEFAULT 0 NOT NULL, 	
  FORGID BIGINT DEFAULT 0 NOT NULL,       	
  FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL, 	
  FBITINDEX INT DEFAULT 0 NOT NULL,       	
  FSOURCEBITINDEX INT DEFAULT 0 NOT NULL, 	
  FSTATESTRATEGY BIGINT DEFAULT 0 NOT NULL, 	
  FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL, 	
  FPRIORITY INT DEFAULT 0 NOT NULL,       	
  FOPEN CHAR(1) DEFAULT '0' NOT NULL,     	
  FAUDITORID BIGINT DEFAULT 0 NOT NULL,   	
  FAUDITDATE DATETIME                 	
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_STATESCHEME' AND KSQL_COL_NAME ='FNAME') 
   ALTER TABLE T_MPDM_STATESCHEME ADD (FNAME NVARCHAR(50)  DEFAULT ' '  NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATESCHEME_L') 
CREATE TABLE T_MPDM_STATESCHEME_L
(
  FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATESCHEMERL') 
CREATE TABLE T_MPDM_STATESCHEMERL
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FENTRYID BIGINT DEFAULT 0 NOT NULL,     	
  FSEQ INT DEFAULT 0 NOT NULL,            	
  FSTATERULE BIGINT DEFAULT 0 NOT NULL,   	
  FENTRYENTITYDESC NVARCHAR(255) DEFAULT ' ' NOT NULL 	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATERULE') 
CREATE TABLE T_MPDM_STATERULE
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  FCREATEORGID BIGINT DEFAULT 0 NOT NULL, 	
  FORGID BIGINT DEFAULT 0 NOT NULL,       	
  FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL, 	
  FBITINDEX INT DEFAULT 0 NOT NULL,       	
  FSOURCEBITINDEX INT DEFAULT 0 NOT NULL, 	
  FCOMBOFIELD NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FBILLSTATE BIGINT DEFAULT 0 NOT NULL,   	
  FBILL NVARCHAR(255) DEFAULT 0 NOT NULL, 	
  FBILLFIELDDESC NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FBILLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL, 	
  FAUDITORID BIGINT DEFAULT 0 NOT NULL,   	
  FAUDITDATE DATETIME                   	
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_STATERULE' AND KSQL_COL_NAME ='FNAME') 
   ALTER TABLE T_MPDM_STATERULE ADD (FNAME NVARCHAR(50)  DEFAULT ' '  NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATERULE_L') 
CREATE TABLE T_MPDM_STATERULE_L
(
  FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,          	
  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATERULEBC') 
CREATE TABLE T_MPDM_STATERULEBC
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FENTRYID BIGINT DEFAULT 0 NOT NULL,     	
  FSEQ INT DEFAULT 0 NOT NULL,            	
  FBCBILL NVARCHAR(255) DEFAULT 0 NOT NULL, 	
  FBCCONTROLTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FBCMATCHATTRIBUTE NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FBCCONDITIONALFILTERDESC NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FBCCONDITIONALFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL, 	
  FBCOPERATIONOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL 	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATERULEBT') 
CREATE TABLE T_MPDM_STATERULEBT
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FENTRYID BIGINT DEFAULT 0 NOT NULL,     	
  FSEQ INT DEFAULT 0 NOT NULL,            	
  FBTBILL NVARCHAR(255) DEFAULT 0 NOT NULL, 	
  FBTTRIGGERTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FBTTRIGGEREVENT NVARCHAR(100) DEFAULT ' ' NOT NULL	
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_STATERULEMM') 
CREATE TABLE T_MPDM_STATERULEMM
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FENTRYID BIGINT DEFAULT 0 NOT NULL,     	
  FSEQ INT DEFAULT 0 NOT NULL,            	
  FLEFTBRACKET NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FMMBILL NVARCHAR(255) DEFAULT 0 NOT NULL, 	
  FCALCULATIONFORMULADESC NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FINSPECTIONSCOPE NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FRIGHTBRACKET NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FLOGIC NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FCONDITIONALFILTERDESC NVARCHAR(50) DEFAULT ' ' NOT NULL, 	
  FCONDITIONALFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL, 	
  FCALCULATIONFORMULA NVARCHAR(2000) DEFAULT ' ' NOT NULL, 	
  FMATCHATTRIBUTE NVARCHAR(50) DEFAULT ' ' NOT NULL 	
);