﻿ EXEC P_ALTERPK 'PK_MPDM_WORKCATEGORY', 'T_MPDM_WORKCATEGORY', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCATEGORY_FNUM') CREATE INDEX IDX_MPDM_WORKCATEGORY_FNUM ON T_MPDM_WORKCATEGORY ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCATEGORY_FCORG') CREATE INDEX IDX_MPDM_WORKCATEGORY_FCORG ON T_MPDM_WORKCATEGORY ( FCREATEORGID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCATEGORY_FCT') CREATE INDEX IDX_MPDM_WORKCATEGORY_FCT ON T_MPDM_WORKCATEGORY ( FCREATETIME );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKCATEGORY_L', 'T_MPDM_WORKCATEGORY_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCATEGORY_L') CREATE INDEX IDX_MPDM_WORKCATEGORY_L ON T_MPDM_WORKCATEGORY_L ( FID ,FLOCALEID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKDETAILINFO', 'T_MPDM_WORKDETAILINFO', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKDETAILINFO_FSEQ') CREATE INDEX IDX_MPDM_WORKDETAILINFO_FSEQ ON T_MPDM_WORKDETAILINFO ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKSCOPE', 'T_MPDM_WORKSCOPE', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_FNUM') CREATE INDEX IDX_MPDM_WORKSCOPE_FNUM ON T_MPDM_WORKSCOPE ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_FCORG') CREATE INDEX IDX_MPDM_WORKSCOPE_FCORG ON T_MPDM_WORKSCOPE ( FCREATEORGID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_FCT') CREATE INDEX IDX_MPDM_WORKSCOPE_FCT ON T_MPDM_WORKSCOPE ( FCREATETIME );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKSCOPE_L', 'T_MPDM_WORKSCOPE_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_L') CREATE INDEX IDX_MPDM_WORKSCOPE_L ON T_MPDM_WORKSCOPE_L ( FID ,FLOCALEID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKSCOPE_CATE', 'T_MPDM_WORKSCOPE_CATE', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_CATE_FSEQ') CREATE INDEX IDX_MPDM_WORKSCOPE_CATE_FSEQ ON T_MPDM_WORKSCOPE_CATE ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_MPDM_WORKSCOPE_DETAIL', 'T_MPDM_WORKSCOPE_DETAIL', 'FDETAILID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSCOPE_DL_FSEQ') CREATE INDEX IDX_MPDM_WORKSCOPE_DL_FSEQ ON T_MPDM_WORKSCOPE_DETAIL ( FENTRYID ,FSEQ );