﻿
EXEC P_ALTERPK 'PK_MPDM_BODYTYPE', 'T_MPDM_BODYTYPE', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_BODYPE_FNUMBER') CREATE INDEX IDX_MPDM_BODYPE_FNUMBER ON T_MPDM_BODYTYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_BODYPE_FCREATETIME') CREATE INDEX IDX_MPDM_BODYPE_FCREATETIME ON T_MPDM_BODYTYPE (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_BODYTYPE_L', 'T_MPDM_BODYTYPE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_BODYPEL_FID') CREATE INDEX IDX_MPDM_BODYPEL_FID ON T_MPDM_BODYTYPE_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_BODYPEL_FNAME') CREATE INDEX IDX_MPDM_BODYPEL_FNAME ON T_MPDM_BODYTYPE_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_ENGINETYPE', 'T_MPDM_ENGINETYPE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ENGIPE_FNUMBER') CREATE INDEX IDX_MPDM_ENGIPE_FNUMBER ON T_MPDM_ENGINETYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ENGIPE_FCREATETIME') CREATE INDEX IDX_MPDM_ENGIPE_FCREATETIME ON T_MPDM_ENGINETYPE (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_ENGINETYPE_L', 'T_MPDM_ENGINETYPE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ENGIPEL_FID') CREATE INDEX IDX_MPDM_ENGIPEL_FID ON T_MPDM_ENGINETYPE_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ENGIPEL_FNAME') CREATE INDEX IDX_MPDM_ENGIPEL_FNAME ON T_MPDM_ENGINETYPE_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_MANUFACTURER', 'T_MPDM_MANUFACTURER', 'FID', '1';           

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUER_FNUMBER') CREATE INDEX IDX_MPDM_MANUER_FNUMBER ON T_MPDM_MANUFACTURER (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUER_FCREATETIME') CREATE INDEX IDX_MPDM_MANUER_FCREATETIME ON T_MPDM_MANUFACTURER (FCREATETIME);

EXEC P_ALTERPK 'PK_MPDM_MANUFACTURER_L', 'T_MPDM_MANUFACTURER_L', 'FPKID', '1';      

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUERL_FID') CREATE INDEX IDX_MPDM_MANUERL_FID ON T_MPDM_MANUFACTURER_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUERL_FNAME') CREATE INDEX IDX_MPDM_MANUERL_FNAME ON T_MPDM_MANUFACTURER_L (FNAME); 	

EXEC P_ALTERPK 'PK_MPDM_MATERIALMTCGROUP', 'T_MPDM_MATERIALMTCGROUP', 'FID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEUP_FNUMBER') CREATE INDEX IDX_MPDM_MATEUP_FNUMBER ON T_MPDM_MATERIALMTCGROUP (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEUP_FCREATETIME') CREATE INDEX IDX_MPDM_MATEUP_FCREATETIME ON T_MPDM_MATERIALMTCGROUP (FCREATETIME);

EXEC P_ALTERPK 'PK_MPDM_MATERIALMTCGROUP_L', 'T_MPDM_MATERIALMTCGROUP_L', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEUPL_FID') CREATE INDEX IDX_MPDM_MATEUPL_FID ON T_MPDM_MATERIALMTCGROUP_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEUPL_FNAME') CREATE INDEX IDX_MPDM_MATEUPL_FNAME ON T_MPDM_MATERIALMTCGROUP_L (FNAME);

EXEC P_ALTERPK 'PK_MPDM_MATERIALMTCINFO', 'T_MPDM_MATERIALMTCINFO', 'FID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEFO_FNUMBER') CREATE INDEX IDX_MPDM_MATEFO_FNUMBER ON T_MPDM_MATERIALMTCINFO (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEFO_FCREATETIME') CREATE INDEX IDX_MPDM_MATEFO_FCREATETIME ON T_MPDM_MATERIALMTCINFO (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_MATERIALMTCINFO_L', 'T_MPDM_MATERIALMTCINFO_L', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEFOL_FID') CREATE INDEX IDX_MPDM_MATEFOL_FID ON T_MPDM_MATERIALMTCINFO_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MATEFOL_FNAME') CREATE INDEX IDX_MPDM_MATEFOL_FNAME ON T_MPDM_MATERIALMTCINFO_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_MTCENGINEENTRY', 'T_MPDM_MTCENGINEENTRY', 'FENTRYID', '1';                	
  
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MTCERY_FID') CREATE INDEX IDX_MPDM_MTCERY_FID ON T_MPDM_MTCENGINEENTRY (FID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MTCERY_FSEQ') CREATE INDEX IDX_MPDM_MTCERY_FSEQ ON T_MPDM_MTCENGINEENTRY (FSEQ);


EXEC P_ALTERPK 'PK_MPDM_MRTYPE', 'T_MPDM_MRTYPE', 'FID', '1';   

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MRTYPE_FNUMBER') CREATE INDEX IDX_MPDM_MRTYPE_FNUMBER ON T_MPDM_MRTYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MRTYPE_FCREATETIME') CREATE INDEX IDX_MPDM_MRTYPE_FCREATETIME ON T_MPDM_MRTYPE (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_MRTYPE_L', 'T_MPDM_MRTYPE_L', 'FPKID', '1';  

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MRTYPEL_FID') CREATE INDEX IDX_MPDM_MRTYPEL_FID ON T_MPDM_MRTYPE_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MRTYPEL_FNAME') CREATE INDEX IDX_MPDM_MRTYPEL_FNAME ON T_MPDM_MRTYPE_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_OPERATTYPE', 'T_MPDM_OPERATTYPE', 'FID', '1';    

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OPERPE_FNUMBER') CREATE INDEX IDX_MPDM_OPERPE_FNUMBER ON T_MPDM_OPERATTYPE (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OPERPE_FCREATETIME') CREATE INDEX IDX_MPDM_OPERPE_FCREATETIME ON T_MPDM_OPERATTYPE (FCREATETIME);               	


EXEC P_ALTERPK 'PK_MPDM_OPERATTYPE_L', 'T_MPDM_OPERATTYPE_L', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OPERPEL_FID') CREATE INDEX IDX_MPDM_OPERPEL_FID ON T_MPDM_OPERATTYPE_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OPERPEL_FNAME') CREATE INDEX IDX_MPDM_OPERPEL_FNAME ON T_MPDM_OPERATTYPE_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_SPECIALCONFIG', 'T_MPDM_SPECIALCONFIG', 'FID', '1';            

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SPECIG_FNUMBER') CREATE INDEX IDX_MPDM_SPECIG_FNUMBER ON T_MPDM_SPECIALCONFIG (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SPECIG_FCREATETIME') CREATE INDEX IDX_MPDM_SPECIG_FCREATETIME ON T_MPDM_SPECIALCONFIG (FCREATETIME);

EXEC P_ALTERPK 'PK_MPDM_SPECIALCONFIG_L', 'T_MPDM_SPECIALCONFIG_L', 'FPKID', '1';    

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SPECIGL_FID') CREATE INDEX IDX_MPDM_SPECIGL_FID ON T_MPDM_SPECIALCONFIG_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SPECIGL_FNAME') CREATE INDEX IDX_MPDM_SPECIGL_FNAME ON T_MPDM_SPECIALCONFIG_L (FNAME);	  






























