﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_MAINTENANCEPLAN_H', 'T_MPDM_MAINTENANCEPLAN_H', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MAINTPLANH_CORG') CREATE INDEX IDX_MPDM_MAINTPLANH_CORG ON T_MPDM_MAINTENANCEPLAN_H ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MAINTPLANH_MASTER') CREATE INDEX IDX_MPDM_MAINTPLANH_MASTER ON T_MPDM_MAINTENANCEPLAN_H ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MAINTPLANH_FCARDID') CREATE INDEX IDX_MPDM_MAINTPLANH_FCARDID ON T_MPDM_MAINTENANCEPLAN_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_MAINTENANCEPLAN_H_L', 'T_MPDM_MAINTENANCEPLAN_H_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MAINTPLAN_H_L_0') CREATE INDEX IDX_MPDM_MAINTPLAN_H_L_0 ON T_MPDM_MAINTENANCEPLAN_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_MPENTRY_H', 'T_MPDM_MPENTRY_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MPENTRY_H_FK') CREATE INDEX IDX_MPDM_MPENTRY_H_FK ON T_MPDM_MPENTRY_H ( FID );


 EXEC P_ALTERPK 'PK_MPDM_MROCARDROUTE_H_L', 'T_MPDM_MROCARDROUTE_H_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MROCARDROUTE_H_L_0') CREATE INDEX IDX_MPDM_MROCARDROUTE_H_L_0 ON T_MPDM_MROCARDROUTE_H_L ( FCARDID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_LOCKINFO', 'T_MPDM_LOCKINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_LOCKINFO_CREATEORG') CREATE INDEX IDX_T_MPDM_LOCKINFO_CREATEORG ON T_MPDM_LOCKINFO ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_LOCKINFO_MASTER') CREATE INDEX IDX_T_MPDM_LOCKINFO_MASTER ON T_MPDM_LOCKINFO ( FMASTERID );


 EXEC P_ALTERPK 'PK_MPDM_LOCKINFO_L', 'T_MPDM_LOCKINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_LOCKINFO_L_0') CREATE INDEX IDX_MPDM_LOCKINFO_L_0 ON T_MPDM_LOCKINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_PROCESSVERSION_H_L', 'T_MPDM_PROCESSVERSION_H_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCESSVERSION_H_L_0') CREATE INDEX IDX_MPDM_PROCESSVERSION_H_L_0 ON T_MPDM_PROCESSVERSION_H_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
