﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_GANTTPRINTSTORE') 
	CREATE TABLE T_MPDM_GANTTPRINTSTORE
	(
	  FID            BIGINT           DEFAULT 0      NOT NULL,         
	  FNUMBER        NVARCHAR(30)     DEFAULT ' '    NOT NULL, 
	  FNAME          NVARCHAR(50)     DEFAULT ' '    NOT NULL,   
	  FENTITYOBJID   NVARCHAR(255)    DEFAULT 0      NOT NULL, 	
	  FPICSTORE      NVARCHAR(255)    DEFAULT ' '    NOT NULL, 	
	  FBATCHID       BIGINT           DEFAULT 0      NOT NULL,     
	  FPRINTINDEX    INT              DEFAULT 0      NOT NULL,     	
	  FSTATUS        NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATORID     BIGINT           DEFAULT 0      NOT NULL,   	
	  FMODIFIERID    BIGINT           DEFAULT 0      NOT NULL,  	
	  FENABLE        NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATETIME    DATETIME ,                  
	  FMODIFYTIME    DATETIME ,                  	
	  FMASTERID      BIGINT           DEFAULT 0      NOT NULL
	);
	
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_GANTTPRINTSTORE_L') 	
CREATE TABLE T_MPDM_GANTTPRINTSTORE_L
(
	  FPKID          NVARCHAR(255)     DEFAULT ' '   NOT NULL,          
	  FID            BIGINT            DEFAULT 0     NOT NULL,          	
	  FLOCALEID      NVARCHAR(255)     DEFAULT ' '   NOT NULL,          
	  FNAME          NVARCHAR(50)      DEFAULT ' '   NOT NULL
);



