﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MPDM_CONFMATRIX', 'T_MPDM_CONFMATRIX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIX' AND KSQL_INDNAME = 'IDX_MPDM_CONFMATRIX_NUMBER') CREATE INDEX IDX_MPDM_CONFMATRIX_NUMBER ON T_MPDM_CONFMATRIX ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MPDM_CONFMATRIX_L', 'T_MPDM_CONFMATRIX_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIX_L' AND KSQL_INDNAME = 'IDX_MPDM_MATRIX_L_FID') CREATE INDEX IDX_MPDM_MATRIX_L_FID ON T_MPDM_CONFMATRIX_L ( FID );


 EXEC P_ALTERPK 'PK_T_MPDM_CONFMATRIXENTRYVAL', 'T_MPDM_CONFMATRIXENTRYVAL', 'FENTRYID', '1';


 EXEC P_ALTERPK 'PK_T_MPDM_CONFMATRIXFEATURE', 'T_MPDM_CONFMATRIXFEATURE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIXFEATURE' AND KSQL_INDNAME = 'IDX_MPDM_CONFMATRIX_FEATURE') CREATE INDEX IDX_MPDM_CONFMATRIX_FEATURE ON T_MPDM_CONFMATRIXFEATURE ( FFEATUREID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_MROCARDROUTE_H' AND KSQL_INDNAME = 'IDX_MROCARDROUTE_H_FNUMBERKEYS') CREATE INDEX IDX_MROCARDROUTE_H_FNUMBERKEYS ON T_MPDM_MROCARDROUTE_H ( FNUMBERKEYS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_MROWKCARDROUTE' AND KSQL_INDNAME = 'IDX_MROWKCARDROUTE_FNUMBERKEYS') CREATE INDEX IDX_MROWKCARDROUTE_FNUMBERKEYS ON T_MPDM_MROWKCARDROUTE ( FNUMBERKEYS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MPDM_MROCARDROUTE' AND KSQL_INDNAME = 'IDX_MROCARDROUTE_FNUMBERKEYS') CREATE INDEX IDX_MROCARDROUTE_FNUMBERKEYS ON T_MPDM_MROCARDROUTE ( FNUMBERKEYS );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
