﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSVERSION', 'T_MPDM_PROCESSVERSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROVERSION_FORG') CREATE INDEX IDX_MPDM_PROVERSION_FORG ON T_MPDM_PROCESSVERSION ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSVERSION_L', 'T_MPDM_PROCESSVERSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROVERSION_L') CREATE INDEX IDX_MPDM_PROVERSION_L ON T_MPDM_PROCESSVERSION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_REPLACENO_L', 'T_MPDM_REPLACENO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_REPLACENO_L') CREATE INDEX IDX_MPDM_REPLACENO_L ON T_MPDM_REPLACENO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_ROUTEREPLACE_L', 'T_MPDM_ROUTEREPLACE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ROUTEREPLACE_L') CREATE INDEX IDX_MPDM_ROUTEREPLACE_L ON T_MPDM_ROUTEREPLACE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSFORMULA', 'T_MPDM_PROCESSFORMULA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROFM_NUMBER') CREATE INDEX IDX_MPDM_PROFM_NUMBER ON T_MPDM_PROCESSFORMULA ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSFORMULA_L', 'T_MPDM_PROCESSFORMULA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROMU_L_FID') CREATE INDEX IDX_MPDM_PROMU_L_FID ON T_MPDM_PROCESSFORMULA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSGROUP', 'T_MPDM_PROCESSGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCESSGROUP') CREATE INDEX IDX_MPDM_PROCESSGROUP ON T_MPDM_PROCESSGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCESSGROUP_L', 'T_MPDM_PROCESSGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCESSGROUP_L') CREATE INDEX IDX_MPDM_PROCESSGROUP_L ON T_MPDM_PROCESSGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCTRLSTRY', 'T_MPDM_PROCTRLSTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCTRL_ORG') CREATE INDEX IDX_MPDM_PROCTRL_ORG ON T_MPDM_PROCTRLSTRY ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_RESOURCES', 'T_MPDM_RESOURCES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCES_FNUMBER') CREATE INDEX IDX_MPDM_RESOURCES_FNUMBER ON T_MPDM_RESOURCES ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_RESOURCES_L', 'T_MPDM_RESOURCES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCES_L') CREATE INDEX IDX_MPDM_RESOURCES_L ON T_MPDM_RESOURCES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTRE', 'T_MPDM_WORKCENTRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTRE_FORG') CREATE INDEX IDX_MPDM_WORKCENTRE_FORG ON T_MPDM_WORKCENTRE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTRE_L', 'T_MPDM_WORKCENTRE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTRE_L') CREATE INDEX IDX_MPDM_WORKCENTRE_L ON T_MPDM_WORKCENTRE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTREENTRYA', 'T_MPDM_WORKCENTREENTRYA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTREA_FK') CREATE INDEX IDX_MPDM_WORKCENTREA_FK ON T_MPDM_WORKCENTREENTRYA ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTREENTRYB', 'T_MPDM_WORKCENTREENTRYB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTREB_FK') CREATE INDEX IDX_MPDM_WORKCENTREB_FK ON T_MPDM_WORKCENTREENTRYB ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHOPENTRYA', 'T_MPDM_WORKSHOPENTRYA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHOPENTRYA_FK') CREATE INDEX IDX_MPDM_WORKSHOPENTRYA_FK ON T_MPDM_WORKSHOPENTRYA ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHOPENTRYB', 'T_MPDM_WORKSHOPENTRYB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHOPENTRYB_FK') CREATE INDEX IDX_MPDM_WORKSHOPENTRYB_FK ON T_MPDM_WORKSHOPENTRYB ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHOPSETUP', 'T_MPDM_WORKSHOPSETUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHOPSETUP') CREATE INDEX IDX_MPDM_WORKSHOPSETUP ON T_MPDM_WORKSHOPSETUP ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHOPSETUP_L', 'T_MPDM_WORKSHOPSETUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHOPSETUP_L') CREATE INDEX IDX_MPDM_WORKSHOPSETUP_L ON T_MPDM_WORKSHOPSETUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROACTIVITY', 'T_MPDM_PROACTIVITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROACTIVITY_FORG') CREATE INDEX IDX_MPDM_PROACTIVITY_FORG ON T_MPDM_PROACTIVITY ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROACTIVITY_L', 'T_MPDM_PROACTIVITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROACTIVITY_L') CREATE INDEX IDX_MPDM_PROACTIVITY_L ON T_MPDM_PROACTIVITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIP', 'T_MPDM_TOOLEQUIP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIP_FNUMBER') CREATE INDEX IDX_MPDM_TOOLEQUIP_FNUMBER ON T_MPDM_TOOLEQUIP ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIP_L', 'T_MPDM_TOOLEQUIP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIP_L') CREATE INDEX IDX_MPDM_TOOLEQUIP_L ON T_MPDM_TOOLEQUIP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIPENTRY', 'T_MPDM_TOOLEQUIPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIPENTRY') CREATE INDEX IDX_MPDM_TOOLEQUIPENTRY ON T_MPDM_TOOLEQUIPENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIPENTRY_P', 'T_MPDM_TOOLEQUIPENTRY_P', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIPENTRY_P') CREATE INDEX IDX_MPDM_TOOLEQUIPENTRY_P ON T_MPDM_TOOLEQUIPENTRY_P ( FENTRYID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIPTYPE', 'T_MPDM_TOOLEQUIPTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIPTYPE_FORG') CREATE INDEX IDX_MPDM_TOOLEQUIPTYPE_FORG ON T_MPDM_TOOLEQUIPTYPE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLEQUIPTYPE_L', 'T_MPDM_TOOLEQUIPTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLEQUIPTYPE_L') CREATE INDEX IDX_MPDM_TOOLEQUIPTYPE_L ON T_MPDM_TOOLEQUIPTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_ABILITYTYPE_L', 'T_MPDM_ABILITYTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ABILITYTYPE_L') CREATE INDEX IDX_MPDM_ABILITYTYPE_L ON T_MPDM_ABILITYTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_REPLACENO', 'T_MPDM_REPLACENO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_REPLACENO_FNUMBER') CREATE INDEX IDX_MPDM_REPLACENO_FNUMBER ON T_MPDM_REPLACENO ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROCTRLSTRY_L', 'T_MPDM_PROCTRLSTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCTRLSTRY_L') CREATE INDEX IDX_MPDM_PROCTRLSTRY_L ON T_MPDM_PROCTRLSTRY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_RESOURCESENTRY', 'T_MPDM_RESOURCESENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCES_ENTRY') CREATE INDEX IDX_MPDM_RESOURCES_ENTRY ON T_MPDM_RESOURCESENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_DEVICETYPE', 'T_MPDM_DEVICETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_DEVICETYPE_FNUMBER') CREATE INDEX IDX_MPDM_DEVICETYPE_FNUMBER ON T_MPDM_DEVICETYPE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_GRADELEVEL', 'T_MPDM_GRADELEVEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_GRADELEVEL_FNUMBER') CREATE INDEX IDX_MPDM_GRADELEVEL_FNUMBER ON T_MPDM_GRADELEVEL ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_GRADELEVEL_L', 'T_MPDM_GRADELEVEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_GRADELEVEL_L') CREATE INDEX IDX_MPDM_GRADELEVEL_L ON T_MPDM_GRADELEVEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_MANUPERSON', 'T_MPDM_MANUPERSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUPERSON_FNUMBER') CREATE INDEX IDX_MPDM_MANUPERSON_FNUMBER ON T_MPDM_MANUPERSON ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_MANUPERSON_L', 'T_MPDM_MANUPERSON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MANUPERSON_L') CREATE INDEX IDX_MPDM_MANUPERSON_L ON T_MPDM_MANUPERSON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_MEANSTYPE', 'T_MPDM_MEANSTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MEANSTYPE_FNUMBER') CREATE INDEX IDX_MPDM_MEANSTYPE_FNUMBER ON T_MPDM_MEANSTYPE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_MEANSTYPE_L', 'T_MPDM_MEANSTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MEANSTYPE_L') CREATE INDEX IDX_MPDM_MEANSTYPE_L ON T_MPDM_MEANSTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_MOULD', 'T_MPDM_MOULD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MOULD_FNUMBER') CREATE INDEX IDX_MPDM_MOULD_FNUMBER ON T_MPDM_MOULD ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_MOULD_L', 'T_MPDM_MOULD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MOULD_L') CREATE INDEX IDX_MPDM_MOULD_L ON T_MPDM_MOULD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_MOULDGROUP', 'T_MPDM_MOULDGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MOULDGROUP_FNUMBER') CREATE INDEX IDX_MPDM_MOULDGROUP_FNUMBER ON T_MPDM_MOULDGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MPDM_MOULDGROUP_L', 'T_MPDM_MOULDGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MOULDGROUP_L') CREATE INDEX IDX_MPDM_MOULDGROUP_L ON T_MPDM_MOULDGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROFESSION', 'T_MPDM_PROFESSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROFESSION_FNUMBER') CREATE INDEX IDX_MPDM_PROFESSION_FNUMBER ON T_MPDM_PROFESSION ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_PROFESSION_L', 'T_MPDM_PROFESSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROFESSION_L') CREATE INDEX IDX_MPDM_PROFESSION_L ON T_MPDM_PROFESSION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_QUACLASS', 'T_MPDM_QUACLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_QUACLASS_FNUMBER') CREATE INDEX IDX_MPDM_QUACLASS_FNUMBER ON T_MPDM_QUACLASS ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_QUACLASS_L', 'T_MPDM_QUACLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_QUACLASS_L') CREATE INDEX IDX_MPDM_QUACLASS_L ON T_MPDM_QUACLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_QUALIFICATIONS', 'T_MPDM_QUALIFICATIONS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_QUFI_FNUMBER') CREATE INDEX IDX_MPDM_QUFI_FNUMBER ON T_MPDM_QUALIFICATIONS ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_QUALIFICATIONS_L', 'T_MPDM_QUALIFICATIONS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_QUFI_L') CREATE INDEX IDX_MPDM_QUFI_L ON T_MPDM_QUALIFICATIONS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTGROUP', 'T_MPDM_WORKCENTGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTGROUP') CREATE INDEX IDX_MPDM_WORKCENTGROUP ON T_MPDM_WORKCENTGROUP ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKCENTGROUP_L', 'T_MPDM_WORKCENTGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKCENTGROUP_L') CREATE INDEX IDX_MPDM_WORKCENTGROUP_L ON T_MPDM_WORKCENTGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKTYPE', 'T_MPDM_WORKTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKTYPE_FNUMBER') CREATE INDEX IDX_MPDM_WORKTYPE_FNUMBER ON T_MPDM_WORKTYPE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKTYPE_L', 'T_MPDM_WORKTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKTYPE_L') CREATE INDEX IDX_MPDM_WORKTYPE_L ON T_MPDM_WORKTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_DEVICETYPE_L', 'T_MPDM_DEVICETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_DEVICETYPE_L') CREATE INDEX IDX_MPDM_DEVICETYPE_L ON T_MPDM_DEVICETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_CALENDAR_L', 'T_MPDM_CALENDAR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CALENDAR_L') CREATE INDEX IDX_MPDM_CALENDAR_L ON T_MPDM_CALENDAR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_CALENDARENTRY', 'T_MPDM_CALENDARENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CALENDARENTRY') CREATE INDEX IDX_MPDM_CALENDARENTRY ON T_MPDM_CALENDARENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_CLASSSYSTEM', 'T_MPDM_CLASSSYSTEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CLASSSYSTEM_FNUMBER') CREATE INDEX IDX_MPDM_CLASSSYSTEM_FNUMBER ON T_MPDM_CLASSSYSTEM ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_CLASSSYSTEM_L', 'T_MPDM_CLASSSYSTEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CLASSSYSTEM_L') CREATE INDEX IDX_MPDM_CLASSSYSTEM_L ON T_MPDM_CLASSSYSTEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_CLASSSYSTEMENTRY', 'T_MPDM_CLASSSYSTEMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CLASSSYSTEMENTRY') CREATE INDEX IDX_MPDM_CLASSSYSTEMENTRY ON T_MPDM_CLASSSYSTEMENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHIFTS', 'T_MPDM_WORKSHIFTS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHIFTS_FNUMBER') CREATE INDEX IDX_MPDM_WORKSHIFTS_FNUMBER ON T_MPDM_WORKSHIFTS ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHIFTS_L', 'T_MPDM_WORKSHIFTS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHIFTS_L') CREATE INDEX IDX_MPDM_WORKSHIFTS_L ON T_MPDM_WORKSHIFTS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_WORKSHIFTSENTRY', 'T_MPDM_WORKSHIFTSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKSHIFTSENTRY') CREATE INDEX IDX_MPDM_WORKSHIFTSENTRY ON T_MPDM_WORKSHIFTSENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_CALENDAR', 'T_MPDM_CALENDAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CALENDAR_FNUMBER') CREATE INDEX IDX_MPDM_CALENDAR_FNUMBER ON T_MPDM_CALENDAR ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_EQUIPMENT', 'T_MPDM_EQUIPMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_EQUIPMENT_FNUMBER') CREATE INDEX IDX_MPDM_EQUIPMENT_FNUMBER ON T_MPDM_EQUIPMENT ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_EQUIPMENT_L', 'T_MPDM_EQUIPMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_EQUIPMENT_L') CREATE INDEX IDX_MPDM_EQUIPMENT_L ON T_MPDM_EQUIPMENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_EQUPLANENTRY', 'T_MPDM_EQUPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_EQUENTRY_FIDFSEQ') CREATE INDEX IDX_MPDM_EQUENTRY_FIDFSEQ ON T_MPDM_EQUPLANENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLSRESENTRY', 'T_MPDM_TOOLSRESENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TRENTRY_FIDFSEQ') CREATE INDEX IDX_MPDM_TRENTRY_FIDFSEQ ON T_MPDM_TOOLSRESENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLSRESOURCE', 'T_MPDM_TOOLSRESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLSRES_FNUMBER') CREATE INDEX IDX_MPDM_TOOLSRES_FNUMBER ON T_MPDM_TOOLSRESOURCE ( FNUMBER ,FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MPDM_TOOLSRESOURCE_L', 'T_MPDM_TOOLSRESOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TOOLSRES_L') CREATE INDEX IDX_MPDM_TOOLSRES_L ON T_MPDM_TOOLSRESOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_ABILITYTYPE', 'T_MPDM_ABILITYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ABILITYTYPE_FNUMBER') CREATE INDEX IDX_MPDM_ABILITYTYPE_FNUMBER ON T_MPDM_ABILITYTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MPDM_ROUTEREPLACE', 'T_MPDM_ROUTEREPLACE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_ROUTEREPLACE_FORG') CREATE INDEX IDX_MPDM_ROUTEREPLACE_FORG ON T_MPDM_ROUTEREPLACE ( FNUMBER ,FCREATEORGID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
